Bug 831755 - [abrt] libreoffice-core-3.5.4.2-1.fc17: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 8 (SIGFPE)
[abrt] libreoffice-core-3.5.4.2-1.fc17: Process /usr/lib64/libreoffice/progra...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:66752e44bdd5cd9299b59e72386...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 13:29 EDT by Jaroslav Lečko
Modified: 2012-09-12 06:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 06:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (185.07 KB, text/plain)
2012-06-13 13:29 EDT, Jaroslav Lečko
no flags Details
File: maps (77.00 KB, text/plain)
2012-06-13 13:29 EDT, Jaroslav Lečko
no flags Details
File: dso_list (16.65 KB, text/plain)
2012-06-13 13:29 EDT, Jaroslav Lečko
no flags Details
handcrafted an example myself (103.78 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-09-12 05:11 EDT, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 40686 None None None 2012-06-15 10:58:01 EDT

  None (edit)
Description Jaroslav Lečko 2012-06-13 13:29:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/jaroslav/Documents/Data/backup/linux/jaro/Documents/workshop_siemens.docx --splash-pipe=6
crash_function: writerfilter::dmapper::SectionPropertyMap::CloseSectionGroup
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.4.0-1.fc17.x86_64
pid:            3571
pwd:            /home/jaroslav
time:           Wed 13 Jun 2012 06:55:01 PM CEST
uid:            1000
username:       jaroslav
xsession_errors: 

backtrace:      Text file, 189508 bytes
dso_list:       Text file, 17052 bytes
maps:           Text file, 78845 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jaroslav/2

core_backtrace:
:47a6ebcca3add7141ebec49edcc7a6bfb1ab5daf 0xa3475 - libooxmllo.so -
:47a6ebcca3add7141ebec49edcc7a6bfb1ab5daf 0x48be8 writerfilter::dmapper::DomainMapper::lcl_endSectionGroup() libooxmllo.so -
:47a6ebcca3add7141ebec49edcc7a6bfb1ab5daf 0xc2d84 - libooxmllo.so -
:47a6ebcca3add7141ebec49edcc7a6bfb1ab5daf 0xdc478 - libooxmllo.so -
:47a6ebcca3add7141ebec49edcc7a6bfb1ab5daf 0xba123 - libooxmllo.so -
:47a6ebcca3add7141ebec49edcc7a6bfb1ab5daf 0xc2509 - libooxmllo.so -
:5171f5827cd6827de072f856375ad13f73ddf4db 0x71c0 - fastsax.uno.so -
:c4ec0971b2dcee71aaf8374975474054245fea00 0x87a0 - libexpat.so.1 -
:c4ec0971b2dcee71aaf8374975474054245fea00 0x971e - libexpat.so.1 -
:c4ec0971b2dcee71aaf8374975474054245fea00 0xb23e - libexpat.so.1 -
:c4ec0971b2dcee71aaf8374975474054245fea00 0xb9eb - libexpat.so.1 -
:c4ec0971b2dcee71aaf8374975474054245fea00 0xda2d XML_ParseBuffer libexpat.so.1 -
:5171f5827cd6827de072f856375ad13f73ddf4db 0x60ce - fastsax.uno.so -
:5171f5827cd6827de072f856375ad13f73ddf4db 0x8dce - fastsax.uno.so -
:47a6ebcca3add7141ebec49edcc7a6bfb1ab5daf 0xb84b5 - libooxmllo.so -
:1dbf996fa85e7881d50eeca5e48f68562617712e 0x77a6 WriterFilter::filter(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> libwriterfilterlo.so -
:ae76c60e6b1c941e20169b018193adbbdd1cdf62 0x2a1a3f SfxObjectShell::ImportFrom(SfxMedium&, libsfxlo.so -
:ae76c60e6b1c941e20169b018193adbbdd1cdf62 0x2a6498 SfxObjectShell::DoLoad(SfxMedium*) libsfxlo.so -
:ae76c60e6b1c941e20169b018193adbbdd1cdf62 0x2e0469 SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> libsfxlo.so -
:ae76c60e6b1c941e20169b018193adbbdd1cdf62 0x314140 - libsfxlo.so -
:c044aedab45db02f45f3a641c47cbefb5120c504 0x10c233 - libfwklo.so -
:c044aedab45db02f45f3a641c47cbefb5120c504 0x10d598 - libfwklo.so -
:c044aedab45db02f45f3a641c47cbefb5120c504 0xa5b7e - libfwklo.so -
:c044aedab45db02f45f3a641c47cbefb5120c504 0xa60a8 - libfwklo.so -
:42273843804afad86267b22a5db2f59adac402f4 0xd5ea4 comphelper::SynchronousDispatch::dispatch(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> libcomphelpgcc3.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x334f7 - libsofficeapp.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x40ff1 - libsofficeapp.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x1fecf - libsofficeapp.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x210fc - libsofficeapp.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x352d12 - libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x35c3c1 SalGenericDisplay::DispatchInternalEvent() libvcllo.so -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x30fcf - libvclplug_gtklo.so -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x31049 - libvclplug_gtklo.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x30d71 - libvclplug_gtklo.so -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x31acd - libvclplug_gtklo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0xfbbe4 Application::Yield(bool) libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0xfbc87 Application::Execute() libvcllo.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x1dd59 - libsofficeapp.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x102621 - libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x1026c5 SVMain() libvcllo.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x41d36 soffice_main libsofficeapp.so -
:18ffb5d5f97d5a9e8dc0acd3f6ae0aa87917dc08 0x6bb - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=jaro
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=3557
:GPG_AGENT_INFO=/run/user/jaroslav/keyring-vn1j3e/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-3027-jaro-libreoffice-17_TIME5078607
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/run/user/jaroslav/keyring-vn1j3e
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=jaroslav
:SSH_AUTH_SOCK=/run/user/jaroslav/keyring-vn1j3e/ssh
:USERNAME=jaroslav
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1207,unix/unix:/tmp/.ICE-unix/1207
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MAIL=/var/spool/mail/jaroslav
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jaroslav/.local/bin:/home/jaroslav/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jaroslav
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1203
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/jaroslav
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=jaroslav
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-OGuxEqiZ2r,guid=b48eb2470b64568a7c8b12c10000003c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jaroslav
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-jaroslav-W6Npfr/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30922                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30922                30922                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/jaroslav/.xsession-errors
:2:/home/jaroslav/.xsession-errors
:3:socket:[239506]
:4:anon_inode:[eventfd]
:5:pipe:[239422]
:6:pipe:[239422]
:7:socket:[239509]
:8:socket:[239510]
:9:socket:[239512]
:10:/usr/lib64/libreoffice/program/resource/fween-US.res
:11:/usr/lib64/libreoffice/program/resource/sben-US.res
:12:/usr/lib64/libreoffice/program/resource/ofaen-US.res
:13:/usr/lib64/libreoffice/program/resource/svten-US.res
:14:/home/jaroslav/.execooogQBKJ1 (deleted)
:15:/usr/lib64/libreoffice/program/resource/sfxen-US.res
:16:/usr/lib64/libreoffice/program/resource/vclen-US.res
:17:/usr/lib64/libreoffice/share/config/images_tango.zip
:18:socket:[239519]
:19:pipe:[239521]
:20:pipe:[239521]
:21:/home/jaroslav/Documents/Data/backup/linux/jaro/Documents/workshop_siemens.docx
:22:socket:[239525]
:23:/usr/lib64/libreoffice/program/resource/swen-US.res
:24:/usr/lib64/libreoffice/program/resource/svxen-US.res
:25:/home/jaroslav/.config/libreoffice/3/user/uno_packages/cache/log.txt
:26:/tmp/luen3zww.tmp/luen3zwy.tmp
:27:/usr/lib64/libreoffice/program/resource/deploymenten-US.res
:28:/home/jaroslav/.config/libreoffice/3/user/uno_packages/cache/uno_packages.db
:29:/home/jaroslav/.config/libreoffice/3/user/extensions/shared/extensions.db
:30:/home/jaroslav/.config/libreoffice/3/user/extensions/bundled/extensions.db
:31:/usr/lib64/libreoffice/program/resource/editengen-US.res

smolt_data:
:
:
:General
:=================================
:UUID: 98e3119b-95b7-4d98-bcfa-ecb2c55ddf8d
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.35
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T9400  @ 2.53GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2534
:System Memory: 3886
:System Swap: 5919
:Vendor: Acer
:System: TravelMate 6593 0100
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4172:32803:4133:312) pci, firewire_ohci, FIREWIRE, TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
:(32902:10816:4133:312) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4133:312) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:4133:312) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4133:312) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10519:4133:312) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:4133:312) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:9288:4133:312) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4133:312) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4133:312) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:16949:32902:4097) pci, iwlwifi, NETWORK, Ultimate N WiFi Link 5300
:(32902:10564:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10820:4133:312) pci, None, SIMPLE, Mobile 4 Series Chipset MEI Controller
:(32902:10823:4133:312) pci, serial, 16550_SERIAL, Mobile 4 Series Chipset AMT SOL Redirection
:(32902:10558:4133:312) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10568:4133:312) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10552:4133:312) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:38340:4133:312) pci, radeon, VIDEO, Mobility Radeon HD 3400 Series
:(32902:10822:4133:312) pci, ata_generic, STORAGE, Mobile 4 Series Chipset PT IDER Controller
:(4631:28981:4133:312) pci, yenta_cardbus, PCI/CARDBUS, Cardbus bridge
:(4631:28981:4133:312) pci, yenta_cardbus, PCI/CARDBUS, Cardbus bridge
:(4631:28960:4133:312) pci, sdhci-pci, BASE, Integrated MMC/SD Controller
:(4631:28976:4133:312) pci, None, STORAGE, Integrated MS/xD Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_jaro-lv_root / ext4 4096 4096 13092026 11776552 11645502 3276800 3135563 3135563
:/dev/sda1 /boot ext4 1024 1024 508745 423728 398128 128016 127660 127660
:/dev/mapper/vg_jaro-lv_home /home ext4 4096 4096 63316089 37290014 34120530 15851520 15840775 15840775
:

var_log_messages:
:Jun 13 18:55:01 jaro kernel: [ 5099.251336] soffice.bin[3571] trap divide error ip:7f8d8a52f475 sp:7fff0191fd60 error:0 in libooxmllo.so[7f8d8a48c000+1c1000]
:Jun 13 18:55:02 jaro abrt[3596]: Saved core dump of pid 3571 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-06-13-18:55:01-3571 (74543104 bytes)
Comment 1 Jaroslav Lečko 2012-06-13 13:29:25 EDT
Created attachment 591577 [details]
File: backtrace
Comment 2 Jaroslav Lečko 2012-06-13 13:29:27 EDT
Created attachment 591578 [details]
File: maps
Comment 3 Jaroslav Lečko 2012-06-13 13:29:29 EDT
Created attachment 591579 [details]
File: dso_list
Comment 4 Stephan Bergmann 2012-06-15 09:43:25 EDT
Presumably m_nGridLinePitch is zero in the calculation nTextAreaHeight/m_nGridLinePitch in writerfilter/source/dmapper/PropertyMap.cxx.  (There are two calls to SetGridLinePitch in writerfilter/source/dmapper/DomainMapper.cxx that change m_nGridLinePitch from its default value of one, and both can probably cause it to become zero.)

Jaroslav, can you make available the document that caused this crash?
Comment 5 Caolan McNamara 2012-06-15 10:58:01 EDT
fdo#40686 is possibly the .doc equivalent of this .docx crash
http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0db5469d9bb289075914e60ced856698a6ae249 was the solution in the .doc case FWIW
Comment 6 Caolan McNamara 2012-09-12 05:11:59 EDT
Created attachment 612037 [details]
handcrafted an example myself
Comment 7 Caolan McNamara 2012-09-12 06:20:43 EDT
committed a fix for my hand-crafted reproducer as http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9b7ceea2bf3d6d38fb6c8a4c1fffb9be4714348 upstream

Note You need to log in before you can comment on or make changes to this bug.